#############################################################################
# Visual Tcl v1.07 Project
#

#################################
# GLOBAL VARIABLES
#
global cmdl; set cmdl {}
global in; set in {~/README}
global op1; set op1 {-e}
global op2; set op2 {}
global out; set out {~/README.out}
global widget; 
    set widget() {.top17.ent18}
    set widget(rev,.top17.ent18) {}
global cmdlexe; set cmdlexe {}
global widget; 
    set widget() {.top17.ent18}
    set widget(rev,.top17.ent18) {}

#################################
# USER DEFINED PROCEDURES
#
proc init {argc argv} {

}

init $argc $argv


proc aboutbox {} {
tk_messageBox -icon info -type ok -title "About Easy Nkf 1.0.0" -message  "Easy Nkf is Enviroment of Kanji code change.\n-Free software-\n Copyright (c) 1998 Cow Project Workshop"
}

proc main {argc argv} {

}

proc Window {args} {
global vTcl
    set cmd [lindex $args 0]
    set name [lindex $args 1]
    set rest [lrange $args 2 end]
    if {$name == "" || $cmd == ""} {return}
    set exists [winfo exists $name]
    switch $cmd {
        show {
            if {[info procs vTclWindow(pre)$name] != ""} {
                vTclWindow(pre)$name $rest
            }
            if {[info procs vTclWindow$name] != ""} {
                vTclWindow$name
            }
            if {[info procs vTclWindow(post)$name] != ""} {
                vTclWindow(post)$name $rest
            }
        }
        hide    { if $exists {wm withdraw $name; return} }
        iconify { if $exists {wm iconify $name; return} }
        destroy { if $exists {destroy $name; return} }
    }
}

#################################
# VTCL GENERATED GUI PROCEDURES
#

proc vTclWindow. {args} {
    set base .
    ###################
    # CREATING WIDGETS
    ###################
    wm focusmodel . passive
    wm geometry . 200x200+0+0
    wm maxsize . 1009 738
    wm minsize . 1 1
    wm overrideredirect . 0
    wm resizable . 1 1
    wm withdraw .
    wm title . "vt.tcl"
    ###################
    # SETTING GEOMETRY
    ###################
}

proc vTclWindow.top17 {args} {
    set base .top17
    if {[winfo exists .top17]} {
        wm deiconify .top17; return
    }
    ###################
    # CREATING WIDGETS
    ###################
    toplevel .top17 -class Toplevel \
        -background #70d096 
    wm focusmodel .top17 passive
    wm geometry .top17 313x235+85+187
    wm maxsize .top17 1009 738
    wm minsize .top17 1 1
    wm overrideredirect .top17 0
    wm resizable .top17 1 1
    wm deiconify .top17
    wm title .top17 "Easy Nkf Ver.1.0.0"
    label .top17.lab18 \
        -background #dbb8db \
        -font -Adobe-Helvetica-Medium-R-Normal-*-*-120-*-*-*-*-*-* \
        -relief groove -text {Easy Nkf for tcl/tk} 
    message .top17.mes19 \
        -font -Adobe-Helvetica-Medium-R-Normal-*-*-120-*-*-*-*-*-* \
        -justify center -padx 5 -pady 3 -relief sunken \
        -text {Enviroment of Kanji code change (C)1998Cow} -width 100 
    button .top17.but21 \
        \
        -command {set cmdl [concat nkf -O $op1 $op2 $in $out]
set cmdlexe [concat exec $cmdl]
eval $cmdlexe} \
        -font -Adobe-Helvetica-Medium-R-Normal-*-*-120-*-*-*-*-*-* \
        -foreground #000000 -padx 9 -pady 3 -text {Start Convert} 
    radiobutton .top17.rad17 \
        -command {set cmdl [concat nkf -O $op1 $op2 $in $out]} \
        -font -Adobe-Helvetica-Medium-R-Normal-*-*-120-*-*-*-*-*-* -text jis \
        -value -j -variable op1 
    radiobutton .top17.rad18 \
        -command {set cmdl [concat nkf -O $op1 $op2 $in $out]} \
        -font -Adobe-Helvetica-Medium-R-Normal-*-*-120-*-*-*-*-*-* -text euc \
        -value -e -variable op1 
    radiobutton .top17.rad19 \
        -command {set cmdl [concat nkf -O $op1 $op2 $in $out]} \
        -font -Adobe-Helvetica-Medium-R-Normal-*-*-120-*-*-*-*-*-* -text sjis \
        -value -s -variable op1 
    label .top17.lab20 \
        -font -Adobe-Helvetica-Medium-R-Normal-*-*-120-*-*-*-*-*-* \
        -relief groove -text To 
    label .top17.lab22 \
        -font -Adobe-Helvetica-Medium-R-Normal-*-*-120-*-*-*-*-*-* \
        -relief groove -text {Input File} 
    label .top17.lab23 \
        -font -Adobe-Helvetica-Medium-R-Normal-*-*-120-*-*-*-*-*-* \
        -relief groove -text option 
    entry .top17.ent24 \
        -font -Adobe-Helvetica-Medium-R-Normal-*-*-120-*-*-*-*-*-* \
        -textvariable op2 
    button .top17.but17 \
        -command exit \
        -font -Adobe-Helvetica-Medium-R-Normal-*-*-120-*-*-*-*-*-* -padx 9 \
        -pady 3 -text Quit 
    entry .top17.ent18 \
        -font -Adobe-Helvetica-Medium-R-Normal-*-*-120-*-*-*-*-*-* \
        -textvariable in 
    label .top17.lab19 \
        -font -Adobe-Helvetica-Medium-R-Normal-*-*-120-*-*-*-*-*-* \
        -relief groove -text {Output File} 
    entry .top17.ent20 \
        -font -Adobe-Helvetica-Medium-R-Normal-*-*-120-*-*-*-*-*-* \
        -textvariable out 
    entry .top17.ent25 \
        -font -Adobe-Helvetica-Medium-R-Normal-*-*-120-*-*-*-*-*-* \
        -state disabled -textvariable cmdl 
    button .top17.but18 \
        -command {set in [tk_getOpenFile]} \
        -font -Adobe-Helvetica-Medium-R-Normal-*-*-120-*-*-*-*-*-* -padx 9 \
        -pady 3 -text browse 
    button .top17.but19 \
        -command {set out [tk_getSaveFile]} \
        -font -Adobe-Helvetica-Medium-R-Normal-*-*-120-*-*-*-*-*-* -padx 9 \
        -pady 3 -text browse 
    button .top17.but20 \
        -command aboutbox \
        -font -Adobe-Helvetica-Medium-R-Normal-*-*-120-*-*-*-*-*-* -padx 9 \
        -pady 3 -text about 
    ###################
    # SETTING GEOMETRY
    ###################
    place .top17.lab18 \
        -x 10 -y 15 -anchor nw -bordermode ignore 
    place .top17.mes19 \
        -x 10 -y 40 -width 106 -height 71 -anchor nw -bordermode ignore 
    place .top17.but21 \
        -x 125 -y 175 -width 115 -height 28 -anchor nw -bordermode ignore 
    place .top17.rad17 \
        -x 55 -y 115 -anchor nw -bordermode ignore 
    place .top17.rad18 \
        -x 55 -y 145 -anchor nw -bordermode ignore 
    place .top17.rad19 \
        -x 55 -y 175 -anchor nw -bordermode ignore 
    place .top17.lab20 \
        -x 10 -y 115 -anchor nw -bordermode ignore 
    place .top17.lab22 \
        -x 125 -y 15 -anchor nw -bordermode ignore 
    place .top17.lab23 \
        -x 125 -y 125 -anchor nw -bordermode ignore 
    place .top17.ent24 \
        -x 125 -y 150 -width 180 -height 24 -anchor nw -bordermode ignore 
    place .top17.but17 \
        -x 245 -y 175 -width 59 -height 28 -anchor nw -bordermode ignore 
    place .top17.ent18 \
        -x 125 -y 40 -width 180 -height 24 -anchor nw -bordermode ignore 
    place .top17.lab19 \
        -x 125 -y 70 -anchor nw -bordermode ignore 
    place .top17.ent20 \
        -x 125 -y 95 -width 180 -height 24 -anchor nw -bordermode ignore 
    place .top17.ent25 \
        -x 10 -y 205 -width 295 -height 24 -anchor nw -bordermode ignore 
    place .top17.but18 \
        -x 245 -y 15 -width 60 -height 23 -anchor nw -bordermode ignore 
    place .top17.but19 \
        -x 245 -y 70 -width 60 -height 23 -anchor nw -bordermode ignore 
    place .top17.but20 \
        -x 245 -y 125 -width 60 -height 23 -anchor nw -bordermode ignore 
}

Window show .
Window show .top17

main $argc $argv
